from z3c.form.interfaces import IFieldWidget
from z3c.form.browser.interfaces import IHTMLInputWidget

class IBaseSequenceWidget(IHTMLInputWidget, IFieldWidget):
    """A base class for sequence field widgets."""

class ITupleSequenceWidget(IBaseSequenceWidget):
    """A widget for tuple sequence input."""

class IListSequenceWidget(IBaseSequenceWidget):
    """A widget for list sequence input."""
